%global extid   %{extname}@rastersoft.com
%global extname ding
%global extname_full desktop-icons-ng
%global uuid    org.gnome.shell.extensions.%{extname}

Name:           gnome-shell-extension-%{extname_full}
Version:        47.0.4
Release:        1%{?dist}.inferit
Summary:        GNOME Shell extension (next gen) for providing desktop icons

License:        GPLv3+
URL:            https://gitlab.com/rastersoft/desktop-icons-ng
Source0:        %{url}/-/archive/%{version}/desktop-icons-ng-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  gobject-introspection
BuildRequires:  intltool
BuildRequires:  meson

Requires:       gnome-shell
Requires:       nautilus >= 3.38
Requires:       xdg-desktop-portal-gtk

%description
This package provides a GNOME Shell extension for showing the contents of
~/Desktop on the desktop of the Shell. Common file management operations such as
launching, copy/paste, rename and deleting are supported.

You can use gnome-tweaks (additional package) or run in terminal:

  gnome-extensions enable %{extid}


%prep
%autosetup -n %{extname_full}-%{version}
sed -e "/meson_post_install/d" -i meson.build


%build
%meson --localedir=%{_datadir}/locale
%meson_build


%install
%meson_install
%find_lang %{extname}


%files -f %{extname}.lang
#%license LICENSE
%doc README.md
%{_datadir}/glib-2.0/schemas/%{uuid}.gschema.xml
%{_datadir}/gnome-shell/extensions/%{extid}/


%changelog
* Mon Dec 23 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 47.0.4-1.inferit
- Update Russian Translation

* Mon Dec 23 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 47.0.4-1
- Update to 47.0.4

* Tue Jul 25 2023 Arkady L. Shane <ashejn@msvsphere.ru> - 47.0.3-1
- Update to 47.0.3

* Thu Dec 24 2020 Casey Jao <casey.jao@gmail.com> - 0.14.0-1
- Initial package

